apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: powder
spec:
  selector:
    matchLabels:
      app: powder
  replicas: 2
  template:
    metadata:
      labels:
        app: powder
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - image: xxxxxxxxxxxx.dkr.ecr.us-west-2.amazonaws.com/powder:latest
        # imagePullPolicy: Always
        name: powder
        imagePullPolicy: Always
        resources:
          limits:
            cpu: 10m
        ports:
          - containerPort: 80
